/* pierre2.cpp solves chef Pierre's fraction multiplication problem
 *  using a Fraction class and overloaded I/O operators.
 *
 * Author: Joel C. Adams, for Hands On C++.
 * Date: April 1994.
 * Revised: Octover 1997.
 * Modification history:
 *
 * Input: Two Fraction values.
 * Precondition: Neither Fraction has a denominator of zero.
 * Output: The product of the two Fractions.
 ***********************************************************/

#include <iostream>
using namespace std;

#include "Fraction.h"

int main()
{
  cout << "\nTo convert fractional measures,\n"
       << " enter the fractional measure you want to convert: ";
  Fraction oldMeasure;
//  cin >> oldMeasure;

  cout << "\nEnter the fractional amount to reduce/increase it by: ";
  Fraction scaleFactor(1,6);
//  cin >> scaleFactor;

  Fraction newMeasure = oldMeasure * scaleFactor;

//  cout << "\nThe converted measurement is: " << newMeasure << "\n\n";
}

